## cclib-data 1.6.2

=== requirements.txt ===
numpy
# We need this as long as we need support both Python 2 and 3.
six

# methods
scipy
periodictable

# bridges
biopython
openbabel
# For some reason PyQuante can't be installed from PyPI.
https://sourceforge.net/projects/pyquante/files/PyQuante-1.6/PyQuante-1.6.5/PyQuante-1.6.5.tar.gz  ; python_version <= '2.7'

# For building the documentation
sphinx

# For testing
pytest>=3.6
coverage
pytest-cov
# This library is in the standard library starting from Python 3.3.
mock ; python_version < '3.3'

## cclib-data 1.0.1

=== debian/changelog ===
cclib-data (1.0.1-3) unstable; urgency=low

  * debian/control: Remove +ssh from Vcs-Svn.

 -- Karol M. Langner <karol.langner@gmail.com>  Thu, 19 Apr 2012 12:43:24 +0200

cclib-data (1.0.1-2) unstable; urgency=low

  * Renamed the python module and use dh_python2 (closes: Bug#640935).
  
 -- Karol M. Langner <karol.langner@gmail.com>  Fri, 09 Sep 2011 13:30:01 +0100

cclib-data (1.0.1-1) unstable; urgency=low

  * Initial release.

 -- Karol M. Langner <karol.langner@gmail.com>  Sun, 26 Jul 2011 15:28:14 +0100

=== debian/control ===
Source: cclib-data
Section: non-free/science
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Karol M. Langner <karol.langner@gmail.com>
Build-Depends: python-support, debhelper (>= 7.0.50~)
X-Python-Version: >= 2.4
Standards-Version: 3.9.1
Homepage: http://cclib.sourceforge.net
Vcs-Svn: svn://svn.debian.org/svn/debichem/unstable/cclib-data
Vcs-Browser: http://svn.debian.org/viewvc/debichem/unstable/cclib-data

Package: cclib-data
Architecture: all
Section: non-free/science
Depends: ${misc:Depends}, ${python:Depends}, python-cclib (>= 1.0.1-1)
Description: Parsers and algorithms for computational chemistry (data files)
 A Python library that provides parsers for computational
 chemistry log files. It also provides a platform to implement
 algorithms in a package-independent manner.
 .
 This package contains unittests and example log files that could not
 be included in the main cclib package.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --with python2 $@

## cclib-data 1.1

=== debian/changelog ===
cclib-data (1.1-1) unstable; urgency=low

  * New upstream release.

  [ Daniel Leidert ]
  * debian/control: Added Provides and Enhances. Removed duplicated section.
    (Build-Depends): Added missing python depends and python-numpy.
    (Standards-Version): Bumped to 3.9.4.
  * debian/rules: Added dh_numpy call.
  * debian/upstream: Added.

 -- Debichem Team <debichem-devel@lists.alioth.debian.org>  Mon, 01 Apr 2013 15:44:06 +0200

=== debian/control ===
Source: cclib-data
Section: non-free/science
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Karol M. Langner <karol.langner@gmail.com>
Build-Depends: debhelper (>> 7.0.50~),
               python (>> 2.6.6-3~),
               python-numpy (>> 1:1.4.1-4~)
X-Python-Version: >= 2.4
Standards-Version: 3.9.4
Homepage: http://cclib.sourceforge.net
Vcs-Svn: svn://svn.debian.org/svn/debichem/unstable/cclib-data
Vcs-Browser: http://svn.debian.org/viewvc/debichem/unstable/cclib-data

Package: cclib-data
Architecture: all
Provides: ${python:Provides}
Depends: python-cclib (>= 1.0.1-1), ${misc:Depends}, ${python:Depends}
Enhances: python-cclib
Description: Parsers and algorithms for computational chemistry (data files)
 A Python library that provides parsers for computational
 chemistry log files. It also provides a platform to implement
 algorithms in a package-independent manner.
 .
 This package contains unittests and example log files that could not
 be included in the main cclib package.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

%:
	dh $@ --with python2 --parallel

override_dh_python2:
	dh_python2
	dh_numpy

=== debian/watch ===
version=3
http://sf.net/cclib/cclib-([\d\.]+)\.tar\.gz

## cclib-data 1.6.2

=== debian/changelog ===
cclib-data (1.6.2-2) unstable; urgency=medium

  * Team Upload.
  * Update imports for new version of openbabel (Closes: #956149).
  * Update Standards-Version to 4.5.0 (no changes required).
  * Move to debhelper-compat (= 12).

 -- Stuart Prescott <stuart@debian.org>  Sun, 12 Apr 2020 18:32:35 +1000

cclib-data (1.6.2-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
    - License has been changed in version 1.5 from LGPL to 3-Clause BSD
      (see debian/copyright).

  [ Stuart Prescott ]
  * New upstream release.
  * Drop Python 2 from build system; use Python 3 instead (Closes: #936276).
  * Update test suite patches.
  * Update Standards-Version to 4.4.1 (no changes required).

  [ Daniel Leidert ]
  * debian/compat: Raised to debhelper compat level 11.
  * debian/control: Dropped obsolete X-Python-Version.
    (Vcs*): Adjusted after move to salsa.d.o.
    (Build-Depends): Raised to dh version 11.
    (Uploaders): Removed Karol Langner. Thanks for your work.
    (Standards-Version): Bumped to 4.1.4.
  * debian/copyright: Updated and rewritten in DEP5 format. Upstream changed
    license from LGPL to BSD.
  * debian/upstream: Renamed to debian/upstream/metadata.
  * debian/watch: Fixed after project moved to github.

  [ Michael Banck ]
  * debian/patches/fix_setup.py: Updated.
  * debian/patches/fix_testsuite.patch: New patch, allows the test suite to be
    run from any directory.
  * debian/control (Build-Depends): Added python-cclib and python-openbabel.
  * debian/rules (override_dh_auto_test): New target, runs the tests.

 -- Stuart Prescott <stuart@debian.org>  Sat, 11 Jan 2020 02:15:11 +1100

=== debian/control ===
Source: cclib-data
Section: non-free/science
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3,
               python3-biopython,
               python3-cclib (>> 1.6.2-2~),
               python3-numpy,
               python3-openbabel,
               python3-pandas,
               python3-periodictable,
               python3-pytest,
               python3-scipy,
Standards-Version: 4.5.0
Homepage: http://cclib.sourceforge.net
Vcs-Git: https://salsa.debian.org/debichem-team/cclib-data.git
Vcs-Browser: https://salsa.debian.org/debichem-team/cclib-data
Rules-Requires-Root: no

Package: cclib-data
Architecture: all
Depends: python3-cclib (>= 1.0.1-1), ${misc:Depends}, ${python3:Depends}
Enhances: python3-cclib
Description: Parsers and algorithms for computational chemistry (data files)
 A Python library that provides parsers for computational
 chemistry log files. It also provides a platform to implement
 algorithms in a package-independent manner.
 .
 This package contains unittests and example log files that could not
 be included in the main cclib package.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export CCLIB_SKIP_NETWORK_TESTS=1

%:
	dh $@ --with python3 --buildsystem pybuild

override_dh_python3:
	dh_python3
	dh_numpy3
